import { world, system, ItemStack, ItemComponent } from '@minecraft/server';


world.sendMessage("Hello, World !");

world.afterEvents.entityHitEntity.subscribe((data) => {
    const DamagingEntity = data.damagingEntity
    const HitEntity = data.hitEntity
    const Item = DamagingEntity.getComponent('inventory').container.getItem(DamagingEntity.selectedSlotIndex)
    if (DamagingEntity.typeId === "minecraft:player" && DamagingEntity.isOnGround && !DamagingEntity.isSprinting && !DamagingEntity.hasTag("sweep_cooldown") == true) {
        if (Item.hasTag("minecraft:is_sword") == true) {
            DamagingEntity.runCommandAsync("particle ss:sweep ^ ^0.7 ^1")
            DamagingEntity.runCommandAsync("tag @s add sweeping")
            DamagingEntity.runCommandAsync("playsound sweep @a ~ ~ ~ 0.4 1")
            DamagingEntity.runCommandAsync("execute at @s anchored eyes positioned ^ ^ ^1.3 run damage @e[r=3, tag=!sweeping] 3 ")
            DamagingEntity.runCommandAsync("tag @s remove sweeping")
        }

    }
})

world.afterEvents.entityHitEntity.subscribe((data) => {
    const DamagingEntity = data.damagingEntity
    const Item = DamagingEntity.getComponent('inventory').container.getItem(DamagingEntity.selectedSlotIndex)
    if (DamagingEntity.typeId === "minecraft:player") {
        if (Item.hasTag("minecraft:is_sword") == true) {
            DamagingEntity.runCommandAsync("scoreboard players set @s sword_cooldown 20")
            DamagingEntity.runCommandAsync("effect @s weakness 1 1 true")
        }

    }
})